$! make_vms.com
$! new build procedure, based on Linux one
$! 13-DEC-1996, David Mathog, biology division, Caltech
$!
$ type makewarn.h
$!
$!
$ write sys$Output "Now defining CGLE_TOP to be the starting directory"
$ top = f$environment("DEFAULT")
$ dfonts = top - "]" + ".font]"
$ dlib   = top - "]" + ".lib]"
$ define cgle_top 'top','dfonts','dlib'
$ sho log cgle_top
$ define dcl$path cgle_top
$!
$!
$ mycc :== cc/standard=ansi89/prefix=all/nolis -
           /warn=(enable=all,disable=dollarid) 
$! BMP.C has a bunch of unsigned shorts that expand to signed int and 
$! generate warnings
$ mycc2 :== cc/standard=ansi89/prefix=all/nolis -
           /warn=(enable=all,disable=(dollarid,valuepres))
$!
$ if(P1 .eqs. "LINK")then goto dolinks
$ if(P1 .nes. "")then exit
$!
$!
$ mycc glecmd.c /define=(glebins="CGLE_TOP:",VMS)
$ mycc surfcmd.c /define=(glebins="CGLE_TOP:",VMS)
$!
$ mycc /define=(VMS)   d_ps.c
$ mycc /define=(VMS)   gle.c
$ mycc /define=(VMS)   drawit.c
$ mycc /define=(VMS)   pass.c
$ mycc /define=(VMS)   token.c
$ mycc /define=(VMS)   polish.c
$ mycc /define=(VMS)   fn.c
$ mycc /define=(VMS)   var.c
$ mycc /define=(VMS)   eval.c
$ mycc /define=(VMS)   general.c
$ mycc /define=(VMS)   run.c
$ mycc /define=(VMS)   sub.c
$ mycc /define=(VMS)   font.c
$ mycc /define=(VMS)   core.c
$ mycc /define=(VMS)   name.c
$ mycc /define=(VMS)   keyword.c
$ mycc /define=(VMS)   axis.c
$ mycc /define=(VMS,HERROR)   graph.c
$ mycc /define=(VMS)   b_tab.c
$ mycc /define=(VMS)   b_text.c
$ mycc /define=(VMS)   fitbez.c
$ mycc /define=(VMS)   fitcf.c
$ mycc /define=(VMS)   begin.c
$ mycc /define=(VMS)   key.c
$ mycc /define=(VMS)   mychar.c
$ mycc /define=(VMS,HERROR)   graph2.c
$ mycc /define=(VMS)   memory.c
$ mycc /define=(VMS)   gprint.c
$ mycc /define=(VMS)   edt.c
$ mycc /define=(VMS)   menu.c
$ mycc /define=(VMS)   curve.c
$ mycc /define=(VMS)   tex.c
$ mycc /define=(VMS)   wprintf_do.c
$ mycc /define=(VMS)   turbo.c
$! mycc varargs.c
$ mycc  /define=(VMS)   vaxscr.c
$ mycc  /define=(VMS)   vaxinkey.c
$!
$ mycc  /define=(VMS)   d_curses.c
$ mycc  /define=(VMS)   easydev.c
$!
$ mycc  /define=(VMS)   fbuild.c
$!
$ mycc  /define=(VMS)   makefmt.c
$ mycc  /define=(VMS)   parseafm.c
$!
$ mycc  /define=(VMS)   d_regis.c
$ mycc  /define=(VMS)   d_hpgl.c
$ mycc  /define=(VMS)   d_x.c
$ mycc  /define=(VMS)   d_tek.c
$ mycc  /define=(VMS)   d_bmp.c
$ mycc  /define=(VMS)   dvitobit.c
$ mycc2  /define=(VMS)  bmp.c
$ mycc2  /define=(VMS)   dvivt.c
$ mycc  /define=(VMS)   makeidx.c 
$!
$dolinks:
$ link/exe=gle.exe glecmd.obj
$ link/exe=surface.exe surfcmd.obj
$!
$ link/exe=gle_ps - 
gle.obj,drawit.obj,pass.obj,token.obj,polish.obj,fn.obj, -
var.obj,eval.obj,general.obj, run.obj,sub.obj,font.obj, -
core.obj,name.obj,keyword.obj,axis.obj,graph.obj, -
b_tab.obj,b_text.obj,fitbez.obj,fitcf.obj,begin.obj, -
key.obj,mychar.obj,graph2.obj, memory.obj,gprint.obj, -
edt.obj,menu.obj, curve.obj,tex.obj,wprintf_do.obj, -
turbo.obj,vaxscr.obj,vaxinkey.obj,d_ps.obj
$ link/exe=gle_vt - 
gle.obj,drawit.obj,pass.obj,token.obj,polish.obj,fn.obj, -
var.obj,eval.obj,general.obj, run.obj,sub.obj,font.obj, -
core.obj,name.obj,keyword.obj,axis.obj,graph.obj, -
b_tab.obj,b_text.obj,fitbez.obj,fitcf.obj,begin.obj, -
key.obj,mychar.obj,graph2.obj, -
memory.obj,gprint.obj,edt.obj,menu.obj, curve.obj,tex.obj,wprintf_do.obj, -
turbo.obj,vaxscr.obj,vaxinkey.obj,d_curses.obj,easydev.obj
$ link/exe=fbuild fbuild.obj,token.obj
$ link/exe=makefmt makefmt.obj,parseafm.obj
$!
$! 
$ set def [.font]
$ delete/nolog *.fmt;*
$ delete/nolog *.fve;*
$ fbuild glemark.gle
$ fbuild plba.gle
$ fbuild plcc.gle
$ fbuild plcg.gle
$ fbuild plci.gle
$ fbuild plcr.gle
$ fbuild plcs.gle
$ fbuild pldr.gle
$ fbuild plge.gle
$ fbuild plgg.gle
$ fbuild plgi.gle
$ fbuild plsa.gle
$ fbuild plsg.gle
$ fbuild plsr.gle
$ fbuild plss.gle
$ fbuild plsym1.gle
$ fbuild plsym2.gle
$ fbuild plti.gle
$ fbuild pltr.gle
$ fbuild texcmb.gle
$ fbuild texcmex.gle
$ fbuild texcmitt.gle
$ fbuild texcmmi.gle
$ fbuild texcmr.gle
$ fbuild texcmss.gle
$ fbuild texcmssb.gle
$ fbuild texcmssi.gle
$ fbuild texcmsy.gle
$ fbuild texcmti.gle
$ fbuild texcmtt.gle
$ makefmt glemark.afm
$ makefmt plba.afm
$ makefmt plcc.afm
$ makefmt plcg.afm
$ makefmt plci.afm
$ makefmt plcr.afm
$ makefmt plcs.afm
$ makefmt pldr.afm
$ makefmt plge.afm
$ makefmt plgg.afm
$ makefmt plgi.afm
$ makefmt plsa.afm
$ makefmt plsg.afm
$ makefmt plsr.afm
$ makefmt plss.afm
$ makefmt plsym1.afm
$ makefmt plsym2.afm
$ makefmt plti.afm
$ makefmt pltr.afm
$ makefmt psagb.afm
$ makefmt psagbo.afm
$ makefmt psagd.afm
$ makefmt psagdo.afm
$ makefmt psbd.afm
$ makefmt psbdi.afm
$ makefmt psbli.afm
$ makefmt psc.afm
$ makefmt pscb.afm
$ makefmt pscbo.afm
$ makefmt psco.afm
$ makefmt psh.afm
$ makefmt pshb.afm
$ makefmt pshbo.afm
$ makefmt pshc.afm
$ makefmt pshcb.afm
$ makefmt pshcbo.afm
$ makefmt pshcdo.afm
$ makefmt pshn.afm
$ makefmt pshnb.afm
$ makefmt pshnbo.afm
$ makefmt pshno.afm
$ makefmt psho.afm
$ makefmt psncsb.afm
$ makefmt psncsbi.afm
$ makefmt psncsi.afm
$ makefmt psncsr.afm
$ makefmt pspb.afm
$ makefmt pspbi.afm
$ makefmt pspi.afm
$ makefmt pspr.afm
$ makefmt pssym.afm
$ makefmt pstb.afm
$ makefmt pstbi.afm
$ makefmt psti.afm
$ makefmt pstr.afm
$ makefmt pszcmi.afm
$ makefmt pszd.afm
$ makefmt texcmb.afm
$ makefmt texcmex.afm
$ makefmt texcmitt.afm
$ makefmt texcmmi.afm
$ makefmt texcmr.afm
$ makefmt texcmsl.afm
$ makefmt texcmss.afm
$ makefmt texcmssb.afm
$ makefmt texcmssi.afm
$ makefmt texcmsy.afm
$ makefmt texcmti.afm
$ makefmt texcmtt.afm
$ write sys$output "Done in font directory"
$ set def [-]
$!
$ link/exe=gle_regis -
gle.obj,drawit.obj,pass.obj,token.obj,polish.obj,fn.obj, -
var.obj,eval.obj,general.obj, run.obj,sub.obj,font.obj, -
core.obj,name.obj,keyword.obj,axis.obj,graph.obj, -
b_tab.obj,b_text.obj,fitbez.obj,fitcf.obj,begin.obj, -
key.obj,mychar.obj,graph2.obj, -
memory.obj,gprint.obj,edt.obj,menu.obj, curve.obj,tex.obj,wprintf_do.obj, -
turbo.obj,vaxscr.obj,vaxinkey.obj,d_regis.obj
$!
$ link/exe=gle_hpgl -
gle.obj,drawit.obj,pass.obj,token.obj,polish.obj,fn.obj, -
var.obj,eval.obj,general.obj, run.obj,sub.obj,font.obj, -
core.obj,name.obj,keyword.obj,axis.obj,graph.obj, -
b_tab.obj,b_text.obj,fitbez.obj,fitcf.obj,begin.obj, -
key.obj,mychar.obj,graph2.obj, -
memory.obj,gprint.obj,edt.obj,menu.obj, curve.obj,tex.obj,wprintf_do.obj, -
turbo.obj,vaxscr.obj,vaxinkey.obj,d_hpgl.obj,easydev.obj
$!
$ link/exe=gle_x -
gle.obj,drawit.obj,pass.obj,token.obj,polish.obj,fn.obj, -
var.obj,eval.obj,general.obj, run.obj,sub.obj,font.obj, -
core.obj,name.obj,keyword.obj,axis.obj,graph.obj, -
b_tab.obj,b_text.obj,fitbez.obj,fitcf.obj,begin.obj, -
key.obj,mychar.obj,graph2.obj, -
memory.obj,gprint.obj,edt.obj,menu.obj, curve.obj, -
tex.obj,wprintf_do.obj, -
turbo.obj,vaxscr.obj,vaxinkey.obj,d_x.obj,sys$input/opt
sys$share:decw$xlibshr.exe/share
$!
$ link/exe=gle_tek -
gle.obj,drawit.obj,pass.obj,token.obj,polish.obj,fn.obj, -
var.obj,eval.obj,general.obj, run.obj,sub.obj,font.obj, -
core.obj,name.obj,keyword.obj,axis.obj,graph.obj, -
b_tab.obj,b_text.obj,fitbez.obj,fitcf.obj,begin.obj, -
key.obj,mychar.obj,graph2.obj, -
memory.obj,gprint.obj,edt.obj,menu.obj, curve.obj,tex.obj,wprintf_do.obj, -
turbo.obj,vaxscr.obj,vaxinkey.obj,d_tek.obj,easydev.obj
$!
$ link/exe=gle_dvi -
gle.obj,drawit.obj,pass.obj,token.obj,polish.obj,fn.obj, -
var.obj,eval.obj,general.obj, run.obj,sub.obj,font.obj, -
core.obj,name.obj,keyword.obj,axis.obj,graph.obj, -
b_tab.obj,b_text.obj,fitbez.obj,fitcf.obj,begin.obj, -
key.obj,mychar.obj,graph2.obj, -
memory.obj,gprint.obj,edt.obj,menu.obj, curve.obj,tex.obj,wprintf_do.obj, -
turbo.obj,vaxscr.obj,vaxinkey.obj,d_bmp.obj,easydev.obj
$!
$ link/exe=gle_dviprint -
dvitobit.obj,bmp.obj,dvivt.obj
$!
$ link makeidx.obj
$!
$ write sys$Output "Now deleting any inittex.ini files"
$ delete/nolog inittex.ini;*
$ gle_ps init.tex
$!
$ makeidx
