#include "vaxconio.h"
#ifdef __VMS /* really an odd ifdef for a module named VAXSCR, eh?*/
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <curses.h>
#include "vms.h"
/* ok, so this is lazy, but it shuts off the compiler warnings */
int edt$edit();
int tpu$edit();
int fner(char *s);
int text_inkey(void);
#endif /* __VMS */
#define false 0
#define true (!false)
int vx_top=1,vx_bot=24;

extern int noscreenio;

void textattr(void)
{}

int kbhit(void)
{return false;}

int abort_key(void)
{
	return false;
}

void delay(int i)
{}

void window(int left,int top, int right, int bottom)
{
	if (left==1 && top==1 && bottom==25) {
		(void) printf("\x1b[%d;%dr",1,24);
	}
	vx_top = top;
	vx_bot = bottom;
}

void scr_dots(int i)
{}

void scr_gets(char *x)
{
	(void) gets(x);
}

void clreol(void)
{
	(void) printf("\x1b[K");
}

void clrscr(void)
{
	(void) printf("\x1b[2J");
}

void cputs(char *line)
{
	(void) printf("%s",line);
}

void scr_left(int i)
{
	if (i<=0) return;
	(void) printf("\x1b[%dD",i);
}

void scr_right(int i)
{
	if (i<=0) return;
	(void) printf("\x1b[%dC",i);
}

int vx_curx,vx_cury;
void gotoxy(int x, int y)
{
	y = y + vx_top - 1;
	if (y>vx_bot) y=vx_bot;
	if (y<vx_top) y=vx_top;
	if (y>25) y=24;
	vx_curx = x; vx_cury = y;
	(void) printf("\x1b[%d;%dH",y,x);
}

void insline(void)
{
	scr_savexy();
	(void) printf("\x1b[%d;%dr",vx_cury,vx_bot);
	(void) printf("\x1b[%d;%dH\x1bM",vx_cury,1);
	scr_restorexy();
}

void delline(void)
{
	scr_savexy();
	(void) printf("\x1b[%d;%dr",vx_cury,vx_bot);
	(void) printf("\x1b[%d;%dH\x1b%c",vx_bot,1,'D');
	scr_restorexy();
}

void putch(int char_val)
{
	(void) printf("%c",char_val);
}

void scr_refresh(void)
{
}

int scr_getch(void)
{
	return getch();
}

void scr_init(void)
{
	(void) printf("\x1b=");
}

void screen_save(void)
{}

void screen_restore(void)
{
	clrscr();
	gotoxy(1,1);
}

int vx_topsave,vx_botsave;
void scr_savexy(void)
{
	vx_topsave = vx_top;
	vx_botsave = vx_bot;
	(void) printf("\x1b\x37");
}

void scr_restorexy(void)
{
	(void) printf("\x1b\x38");
	vx_top = vx_topsave;
	vx_bot = vx_botsave;
}

void scr_end(void)
{
	(void) printf("\x1b>");
}

void gettextinfo(struct text_info *r)
{
	r->curx = 1;
	r->cury = 1;
	r->wintop = vx_top;
}


void textbackground(int color_num)
{}

void textcolor(int colornum)
{}

int vscrcolor = 0;
void scr_norm(void)  /* yellow on blue */
{
	if (vscrcolor==1) return;
	vscrcolor = 1;
	(void) printf("\x1b[0m");
}
void scr_inv(void)   /* black on white */
{
	if (vscrcolor==2) return;
	if (vscrcolor != 1) (void) printf("\x1b[0m");
	vscrcolor = 2;
	(void) printf("\x1b[1m"); /* hiligh */
}

void scr_grey(void)  /* black on grey */
{
	if (vscrcolor==3) return;
	if (vscrcolor != 1) (void) printf("\x1b[0m");
	vscrcolor = 3;
	(void) printf("\x1b[7m"); /* inverse */
}

int scr_isblackwhite(void)
{
	return true;
}

void scr_menubg(void)
{
	scr_norm();
}

void scr_menuval(void)
{
	scr_inv();
}

void scr_menuhi(void)
{
	scr_grey();
}



#include <descrip.h>
void vax_edt(char *s)
{

/* call the EDT editor by default, or use another edtior if GLE_EDITOR
   is defined.  "TPU" starts up callable TPU, otherwise, spawn off a 
   subprocess to edit the file with any other editor on the system, ie
   $ DEFINE GLE_EDITOR PICO
   causes ^E to edit the file with PICO, if the command PICO is defined */

	char edit_command[100];

	$DESCRIPTOR(sdesc,"");
	sdesc.dsc$a_pointer = s;
	sdesc.dsc$w_length = strlen(s);

	edit_command[0]='\0';
	(void) strcpy(edit_command,getsymbol("GLE_EDITOR"));
	(void) strupr(edit_command);

	if (strcmp(edit_command,"TPU")==0) {
		(void) tpu$edit(&sdesc,&sdesc);
	   }
	else if(  (strlen(edit_command) !=0) &&
                  (strcmp(edit_command,"EDT")!=0) ) {
	        (void) strcat(edit_command," ");
	        (void) strcat(edit_command, s);
		if( system(edit_command) !=1 ){
		   (void) fner("Editor command failed, press any key to continue");
		   (void) text_inkey();
		}
	   }
	else {
		(void) edt$edit(&sdesc,&sdesc);
	   }
}

int wyerr;
void w_message(char *s)
{
	wyerr++;
	if (noscreenio) return;
	scr_savexy();
	gotoxy(1,wyerr);
	clreol();
	cputs(s);
	scr_restorexy();
}
